//------------------------------------------------------------------------------------------------
class SPK_TestAction : ScriptedUserAction
{
	
 	//---------------------------------------------------------
 	override void PerformAction(IEntity pOwnerEntity, IEntity pUserEntity) 
 	{
		// Example weapon with the same rotation
		Print("[SPK] - Example Transform Weapon");		
		vector mat2[4];
		IEntity myEntity = GetGame().FindEntity("MyWeapon_0");
		myEntity.GetTransform(mat2);
		Print(mat2);
		myEntity.GetLocalTransform(mat2);
		Print(mat2);		
		
		Print("[SPK] - Setting another weapon to the same rotation using Position and Angles");		
		IEntity myEntity2 = GetGame().FindEntity("MyWeapon_2");
		vector matRes[4];	
		vector rotMat[4];
		vector traMat[4];
			
		// Rotation Matrix
		vector anglesOffset = "85 180 180";
		Math3D.AnglesToMatrix(anglesOffset,rotMat);
		Print(rotMat);		
		
		// Translation Matrix
		vector posOffset = "5 1 4";
		rotMat[3] = posOffset;
		Print(rotMat);
				
		// Transform matrix
		//Math3D.MatrixMultiply4(rotMat,traMat,matRes);
		//Print(matRes);
		
		myEntity2.SetTransform(matRes);
		//EntitySlotInfo::SetAdditiveTransformLS
 	}	
	
    //------------------------------------------------------------------------------------------------
    override bool CanBeShownScript(IEntity user)
    {    
		return true;
    }
    
    //------------------------------------------------------------------------------------------------
    override bool CanBePerformedScript(IEntity user)
    {
        return true;
    }
    
    //------------------------------------------------------------------------------------------------
    override bool HasLocalEffectOnlyScript()
    {
        return true;
    } 	
};